.page {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  padding: 0.5rem;
}

.main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  margin-top: 80px;

  .header {
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    height: 80px;
  }
}

.title {
  font-size: 2.2rem;
  font-weight: 200;
}

.center {
  padding: 4rem 0;
}

.center::before {
  background: var(--primary-glow);
  border-radius: 50%;
  width: 480px;
  height: 360px;
  margin-left: -400px;
}

.center::after {
  background: var(--primary-glow);
  width: 240px;
  height: 180px;
  z-index: -1;
}

.center::before,
.center::after {
  content: '';
  left: 100%;
  position: absolute;
  filter: blur(45px);
  transform: translateZ(0);
  pointer-events: none;
}

@media (max-width: 700px) {
  .center {
    padding: 8rem 0 6rem;
  }

  .center::before {
    transform: none;
    height: 300px;
  }
}

.footer {
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  bottom: 0;
  max-width: var(--max-width);
  width: 75%;
  margin-bottom: 3rem;
  font-size: 0.85rem;
  z-index: 2;
  font-family: var(--font-mono);
}

.footer p {
  padding: 1rem;
  background-color: rgba(var(--callout-rgb), 0.5);
  border: 1px solid rgba(var(--callout-border-rgb), 0.3);
  border-radius: var(--border-radius);
}

.code {
  font-weight: 700;
  font-family: var(--font-mono);
}

.footer a {
  padding: 1rem;
  border: 1px solid rgba(var(--callout-border-rgb), 0);
  border-radius: var(--border-radius);
}

.footer a:hover {
  background-color: rgba(var(--callout-rgb), 0.5);
  border: 1px solid rgba(var(--callout-border-rgb), 0.3);
}

.notFound {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;

  .title {
    border-bottom: 1px solid;
    font-size: 3rem;
    font-weight: 100;
  }
  .link {
    font-weight: 700;
  }
}
